From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 21 February 2004<P>

I'm all about girly drinks like the strawberry margarita. Though my usual choice for a mixed drink is a "whisky sour", which kind of skirts the line between manly and girly.  My current favorite at home concoction is Bailey's on ice, though I think that's just because of the sweetness of it.<BR>
<BR>
Rhetoric--<BR>
wow, that's awful.  The image I got (and i'm not sure if this is actually what happened) was like, you on the stoop w/ your poor kitty in pain, like waiting for a cab or a friend for transportation.  And in that way it's a symbol for one of the saddest, saddest things in life: people (and pets) we love will suffer and someday die and we're helpless, helpless to make things right, all we can do is try and be a comfort to the best of our limited abilities.  <BR>
<BR>
Oy.<BR>
<BR>
In another set of less than happy thoughts, there's an interesting article I linked to on <a href="http://kisrael.com">http://kisrael.com</a> today: <a href="http://www.observer.com/pages/observatory.asp">http://www.observer.com/pages/observatory.asp</a> , "The Rules For An Affair", almost eerily practical and down to earth suggestions for how to cheat and get away with it.<BR>
<BR>

<HR>